Bug 790513 - ipa-client-2.1.3-9.el6 does not install policycoreutils as a dependancy
ipa-client-2.1.3-9.el6 does not install policycoreutils as a dependancy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Prpič
IDM QE LIST
:
Depends On:
Blocks: 816317 817402 819996 821895
  Show dependency treegraph
 
Reported: 2012-02-14 13:15 EST by Dmitri Pal
Modified: 2012-06-19 13:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The ipa-client package does not install the policycoreutils package as its dependency, which may cause install/uninstall issues when using the ipa-client-install setup script. To work around this issue, install the policycoreutils package manually: ~]# yum install policycoreutils
Story Points: ---
Clone Of:
: 816317 817402 819996 821895 (view as bug list)
Environment:
Last Closed: 2012-06-19 13:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-02-14 13:15:45 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2368

The yum installation of ipa-client does not ever install policycoreutils as a dependency which causes ipa-client-install to fail.


Traceback (most recent call last):
  File "/usr/sbin/ipa-client-install", line 1292, in <module>
    sys.exit(main())
  File "/usr/sbin/ipa-client-install", line 1279, in main
    rval = install(options, env, fstore, statestore)
  File "/usr/sbin/ipa-client-install", line 1247, in install
    ipaclient.ntpconf.config_ntp(ntp_server, fstore, statestore)
  File "/usr/lib/python2.6/site-packages/ipaclient/ntpconf.py", line 114, in config_ntp
    ipaservices.restore_context(path_step_tickers)
  File "/usr/lib/python2.6/site-packages/ipapython/platform/redhat.py", line 134, in restore_context
    ipautil.run(["/sbin/restorecon", filepath], raiseonerr=False)
  File "/usr/lib/python2.6/site-packages/ipapython/ipautil.py", line 248, in run
    close_fds=True, env=env)
  File "/usr/lib64/python2.6/subprocess.py", line 639, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.6/subprocess.py", line 1228, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Comment 4 Martin Kosek 2012-04-24 07:45:45 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No documentation needed.
Comment 9 Dmitri Pal 2012-04-25 15:25:04 EDT
Deleted Technical Notes Contents.

Old Contents:
No documentation needed.
Comment 11 Martin Kosek 2012-04-30 09:05:19 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: ipa-client does not install policycoreutils package as its dependency
Consequence: When a client machine does not have policycoreutils package installed, there may be install or uninstall issues with ipa-client-install setup script.
Workaround: Install policycoreutils package manually and retry the installation or uninstallation process.
Result: The client is successfully installed or uninstalled.
Comment 12 Dmitri Pal 2012-05-01 11:48:50 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2368
Comment 14 Martin Prpič 2012-05-03 08:26:00 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1,3 @@
-Cause: ipa-client does not install policycoreutils package as its dependency
+The ipa-client package does not install the policycoreutils package as its dependency, which may cause install/uninstall issues when using the ipa-client-install setup script. To work around this issue, install the policycoreutils package manually:
-Consequence: When a client machine does not have policycoreutils package installed, there may be install or uninstall issues with ipa-client-install setup script.
+
-Workaround: Install policycoreutils package manually and retry the installation or uninstallation process.
+    ~]# yum install policycoreutils-Result: The client is successfully installed or uninstalled.

Note You need to log in before you can comment on or make changes to this bug.